> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get RMA status

GET https://dream.rushorder.com/api/rma/status

There are two ways to obtain RMA status. With RMA Number: a numerical value provided by RushOrder. With Alternate RMA Number: Provided by the client when the RMA is created. Only one is required, not both.

Reference: https://docs.rushorder.com/api-reference/returns/get-status

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `rmaNumber` (double, optional) — RushOrder RMA Number
- `altRmaNumber` (string, optional) — Client provided Alternate RMA Number

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `OrderNumber` (double, optional)
- `AltOrderNumber` (string, optional, nullable)
- `RmaNumber` (double, optional)
- `AltRmaNumber` (string, optional, nullable)
- `CaseNumber` (string, optional, nullable)
- `Attention` (string, optional, nullable)
- `Total` (float, optional)
- `Shipping` (float, optional)
- `EntryDate` (date, optional)
- `ExpirationDate` (date, optional)
- `ProcessDate` (date, optional, nullable)
- `Completed` (boolean, optional)
- `Notes` (string, optional, nullable)
- `Items` (list of RMAStatus_Items, optional)
- `ReturnedSerials` (list of RMAStatus_ReturnedSerials, optional)

## Errors

### 400 Bad Request Error

The request body is invalid

- `any`

### 404 Not Found Error

The requested item was not found

- `any`

## Types

### RMAStatus_Items

- `Sku` (string, optional)
- `Upc` (string, optional)
- `DispositionPrefix` (string, optional, nullable)
- `Quantity` (double, optional)
- `LineNumber` (string, optional, nullable)

### RMAStatus_ReturnedSerials

- `Sku` (string, optional)
- `Upc` (string, optional)
- `DispositionPrefix` (string, optional, nullable)
- `ReturnCode` (string, optional, nullable)
- `ReturnCodeDescription` (string, optional, nullable)
- `SerialNumber` (string, optional)
- `LineNumber` (string, optional, nullable)

## Examples

**Response**

```json
{
  "OrderNumber": 1.1,
  "AltOrderNumber": "string",
  "RmaNumber": 1.1,
  "AltRmaNumber": "string",
  "CaseNumber": "string",
  "Attention": "string",
  "Total": 1.1,
  "Shipping": 1.1,
  "EntryDate": "2023-01-15",
  "ExpirationDate": "2023-01-15",
  "ProcessDate": "2023-01-15",
  "Completed": true,
  "Notes": "string",
  "Items": [
    {
      "Sku": "string",
      "Upc": "string",
      "DispositionPrefix": "string",
      "Quantity": 1.1,
      "LineNumber": "string"
    }
  ],
  "ReturnedSerials": [
    {
      "Sku": "string",
      "Upc": "string",
      "DispositionPrefix": "string",
      "ReturnCode": "string",
      "ReturnCodeDescription": "string",
      "SerialNumber": "string",
      "LineNumber": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/rma/status"

querystring = {"altRmaNumber":"ABC1234","rmaNumber":"12345"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/rma/status?altRmaNumber=ABC1234&rmaNumber=12345")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```